Skip to content
BleemeoBleemeo

Retrieve a monitor

GET
/v1/monitor/{id}/
curl --request GET \
--url https://example.com/v1/monitor/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>'

Return a single monitor by its ID.

id
required
string format: uuid

A UUID string identifying this monitor.

Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
agent
string format: uuid
nullable
active
required
boolean
created_at
required
string format: date-time
deactivated_at
string format: date-time
nullable
expiration_cache
string format: date-time
nullable
id
required
string format: uuid
kubernetes_cluster_name
required
string
""
modified_at
required
string format: date-time
ca_file
string
domain_name
string
<= 100 characters
expected_content
string
expected_response_code
integer
nullable >= -2147483648 <= 2147483647
headers
unexpected_content
string
url
string
<= 1000 characters
head_request
boolean
account_config
required
string format: uuid
current_status_text
required
string
nullable
tags
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
is_automatic
required
boolean
is_service_tag
required
boolean
name
required
string
<= 100 characters
tag_type
  • 0 - Automatic API
  • 1 - Created by Glouton
  • 2 - Created by frontend
  • 3 - Automatic Glouton
  • 4 - Automatic API for agent’s service
  • 10 - No type
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1 2 3 4 10
tag_type_text
required
string
display_name
string
nullable
is_sandbox
required
boolean

Example

{
"kubernetes_cluster_name": "",
"tags": [
{
"tag_type": 0
}
]
}